use crate::bitflags_serde_impl;
use bitflags::bitflags;
use serde::Deserialize;

bitflags! {
    #[derive(Clone, Copy, Debug)]
    pub struct Scopes: u64 {
        const USER_READ = 1 << 0;
        const USER_WRITE = 1 << 1;
        const USER_DELETE = 1 << 2;

        const MEMBER_CREATE = 1 << 3;
        const MEMBER_READ = 1 << 4;
        const MEMBER_WRITE = 1 << 5;
        const MEMBER_DELETE = 1 << 6;
    }
}

bitflags_serde_impl!(Scopes, u64);
